
package com.tmerclub.cloud.api.group.bo;

import com.tmerclub.cloud.api.group.vo.GroupOrderVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author TRACK
 */
public class GroupOrderNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    private List<Long> orderIds;

    /**
     * 需要保存的团购订单信息
     */
    private List<GroupOrderVO> groupOrders;

    /**
     * 区分机器人参团和真人参团 0机器人 1真人
     */
    private Integer isJoin;

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public List<GroupOrderVO> getGroupOrders() {
        return groupOrders;
    }

    public void setGroupOrders(List<GroupOrderVO> groupOrders) {
        this.groupOrders = groupOrders;
    }

    public Integer getIsJoin() {
        return isJoin;
    }

    public void setIsJoin(Integer join) {
        isJoin = join;
    }

    @Override
    public String toString() {
        return "GroupOrderNotifyBO{" +
                "orderIds=" + orderIds +
                ", groupOrders=" + groupOrders +
                ", isJoin=" + isJoin +
                '}';
    }
}
